Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.
Operations
| Method | Path | Summary / body | Responses |
|---|
| PATCH |
/api/chat/messages/{messageId} |
|
200 |
| PATCH |
/api/chat/messages/{messageId}/feedback |
|
200 MessageRatingResult |
| GET |
/api/chat/sessions |
|
200 PagedResultOfChatSessionDto |
| POST |
/api/chat/sessions |
|
200 ChatSessionDto |
| DELETE |
/api/chat/sessions/{id} |
|
200 |
| GET |
/api/chat/sessions/{id} |
|
200 ChatSessionDetailDto |
| PATCH |
/api/chat/sessions/{id} |
|
200 ChatSessionDto |
| GET |
/api/chat/sessions/{sessionId}/available-tools |
|
200 AvailableToolDto[] |
| POST |
/api/chat/sessions/{sessionId}/chat |
|
200 SessionChatResponse |
| POST |
/api/chat/sessions/{sessionId}/chat/stream |
|
200 |
| GET |
/api/chat/sessions/{sessionId}/messages |
|
200 PagedResultOfChatMessageDto |
| POST |
/api/chat/sessions/{sessionId}/messages |
|
200 ChatMessageDto |
Schemas
Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.
ChatMessageDto
| Property | Type | Description |
| id |
int64 |
|
| role |
string |
|
| content |
string |
|
| reasoningContent |
null,string |
|
| reasoningEffort |
null,string |
|
| reasoningSource |
null,string |
|
| modelId |
null,string |
|
| promptTokens |
int32 |
|
| completionTokens |
int32 |
|
| cacheReadTokens |
int32 |
|
| responseTimeMs |
int64 |
|
| toolCalls |
null,array |
|
| toolCallId |
null,string |
|
| toolName |
null,string |
|
| feedback |
null,string |
|
| feedbackScore |
int32 |
|
| feedbackTags |
null,array |
|
| feedbackComment |
null,string |
|
| feedbackCorrection |
null,string |
|
| trainingPairId |
int64 |
|
| createdAtUtc |
date-time |
|
ChatSessionDetailDto
| Property | Type | Description |
| messages |
ChatMessageDto[] |
|
| id |
int64 |
|
| guid |
uuid |
|
| title |
string |
|
| clientId |
string |
|
| modelId |
string |
|
| messageCount |
int32 |
|
| totalTokens |
int32 |
|
| isPinned |
boolean |
|
| archived |
boolean |
|
| userId |
int64 |
|
| identityId |
int64 |
|
| projectId |
int64 |
|
| reasoningEffort |
null,string |
|
| systemPrompt |
null,string |
|
| enabledTools |
null,array |
|
| createdAtUtc |
date-time |
|
| updatedAtUtc |
date-time |
|
ChatSessionDto
| Property | Type | Description |
| id |
int64 |
|
| guid |
uuid |
|
| title |
string |
|
| clientId |
string |
|
| modelId |
string |
|
| messageCount |
int32 |
|
| totalTokens |
int32 |
|
| isPinned |
boolean |
|
| archived |
boolean |
|
| userId |
int64 |
|
| identityId |
int64 |
|
| projectId |
int64 |
|
| reasoningEffort |
null,string |
|
| systemPrompt |
null,string |
|
| enabledTools |
null,array |
|
| createdAtUtc |
date-time |
|
| updatedAtUtc |
date-time |
|
MessageRatingResult
| Property | Type | Description |
| messageId |
int64 |
|
| feedback |
null,string |
|
| trainingPairId |
int64 |
|
| mirrorNote |
null,string |
|
PagedResultOfChatMessageDto
| Property | Type | Description |
| items* |
ChatMessageDto[] |
|
| totalCount |
int32 |
|
| page |
int32 |
|
| pageSize |
int32 |
|
| hasTotal |
boolean |
|
| moreAvailable |
null,boolean |
|
| totalPages |
int32 |
|
| hasNextPage |
boolean |
|
| hasPreviousPage |
boolean |
|
PagedResultOfChatSessionDto
| Property | Type | Description |
| items* |
ChatSessionDto[] |
|
| totalCount |
int32 |
|
| page |
int32 |
|
| pageSize |
int32 |
|
| hasTotal |
boolean |
|
| moreAvailable |
null,boolean |
|
| totalPages |
int32 |
|
| hasNextPage |
boolean |
|
| hasPreviousPage |
boolean |
|
SessionChatResponse
| Property | Type | Description |
| reply |
string |
|
| reasoningContent |
null,string |
|
| model |
string |
|
| promptTokens |
int32 |
|
| completionTokens |
int32 |
|
| responseTimeMs |
int64 |
|
| messageCount |
int32 |
|
| totalTokens |
int32 |
|